## svgtune 0.2.0

=== Makefile ===
MANPAGE=svgtune.1

all: $(MANPAGE)

%.1: %
	help2man -n "Tune and generate multiple SVGs out of source SVG" \
		-s 1 -N -o $@ ./$<

install: $(MANPAGE)
	mkdir -p  $(PREFIX)/usr/bin
	mkdir -p  $(PREFIX)/usr/share/man/man1
	install -t $(PREFIX)/usr/bin/ svgtune
	install -t $(PREFIX)/usr/share/man/man1/ $(MANPAGE)

clean:
	rm -f $(MANPAGE)

## svgtune 0.3.1

=== debian/changelog ===
svgtune (0.3.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace CDBS build with DebHelper 13
  * Add d/watch file
  * Import Debian packaging on Salsa

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Mar 2025 18:17:41 +0100

svgtune (0.3.1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1049905)
    + Drop unnecessary .gbp.conf in package root

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 12:44:03 +0000

svgtune (0.3.1-1) unstable; urgency=medium

  * Fresh upstream release with python3 fixes

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Oct 2020 14:10:22 -0400

svgtune (0.3.0-2) unstable; urgency=medium

  * Completely remove mentioning of python (not python3) in debian/control
    (Closes: #938605)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Jun 2020 11:05:03 -0400

svgtune (0.3.0-1) unstable; urgency=medium

  * Fresh "upstream" release compatible with python3 (Closes: #956652)
  * Policy version boost and compat to 10.

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 May 2020 13:00:03 -0400

svgtune (0.2.0-2) unstable; urgency=medium

  * debian/control
    - added python-lxml to Build-Depends to make help2man run happy
      (Closes: #784933). Thanks Logan Rosen for the report

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 24 Jun 2015 00:09:25 -0400

svgtune (0.2.0-1) unstable; urgency=medium

  * Little helper grew up a little in the past day, so 3rd attempt to release
    for Debian with codename "Why not?" (Closes: #544071)
  * Boosted policy to 3.9.6
  * Vcs fields without X- prefix and carry a debian branch specification now

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 25 Apr 2015 21:45:24 -0400

svgtune (0.1.0-2) UNRELEASED; urgency=low

  * 2nd attempt to release with codename "Andreas"
  * Boosted policy compliance to 3.9.1 - no changes
  * Updated debian/changelog

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 26 Nov 2010 10:45:23 -0500

svgtune (0.1.0-1) UNRELEASED; urgency=low

  * New "upstream" release.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 23 Mar 2010 20:13:30 -0400

svgtune (0.0.2-1) UNRELEASED; urgency=low

  * Initial release with codename "Michael".

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 28 Aug 2009 10:22:07 -0400

=== debian/control ===
Source: svgtune
Section: graphics
Priority: optional
Maintainer: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 python3,
 python3-lxml,
Standards-Version: 4.7.2
Homepage: http://github.com/yarikoptic/svgtune
Vcs-Git: https://salsa.debian.org/debian/svgtune.git
Vcs-Browser: https://salsa.debian.org/debian/svgtune
X-Style: black

Package: svgtune
Architecture: all
Depends:
 python3,
 python3-lxml,
 ${misc:Depends},
Suggests:
 inkscape,
Description: tool to generate a set of .svg files out of a single .svg file
 svgtune is a little helper to generate a set of .svg files out
 of a single .svg file, by tuning respective groups/layers visibility,
 transparency or anything else.
 .
 It might come very handy for generation of incremental figures to be
 embedded into the presentation in any format which inkscape could
 render using original .svg file (e.g. pdf, png).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=debian/svgtune

=== debian/watch ===
version=4
https://github.com/yarikoptic/svgtune/tags (?:.*/)?v?@ANY_VERSION@@ARCHIVE_EXT@
